<div class="mb-3">
    <label for="form-textarea-wysiwyg-{{ $requestName }}">{{ $title }}</label>
    <textarea class="form-control {{ $attributes->get('class') }} textarea-tinymce @error($requestName) is-invalid @enderror" name="{{ $name }}" id="form-textarea-wysiwyg-{{ $requestName }}" rows="3">{{ $value }}</textarea>
    @error($requestName)
    <span class="invalid-feedback">{{ $message }}</span>
    @enderror
</div>
@pushOnce('scripts')
    <script src="{{ asset('/build/tinymce/tinymce.min.js') }}" referrerpolicy="origin"></script>
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            tinymce.init({
                selector: '.textarea-tinymce',
                @if(in_array(app()->getLocale(), ['ru'], true))
                    language: '{{ app()->getLocale() }}',
                @endif
                license_key: '{{ $tinymceLicenseKey }}',
                plugins: 'advlist code emoticons link lists table codesample',
                toolbar: 'bold italic | bullist numlist | link emoticons codesample',
                referrer_policy: 'origin',
                codesample_global_prismjs: true,
                codesample_languages: [
                    {text: 'HTML/XML', value: 'markup'},
                    {text: 'JavaScript', value: 'javascript'},
                    {text: 'CSS', value: 'css'},
                    {text: 'PHP', value: 'php'},
                    {text: 'Ruby', value: 'ruby'},
                    {text: 'Python', value: 'python'},
                    {text: 'Java', value: 'java'},
                    {text: 'C', value: 'c'},
                    {text: 'C#', value: 'csharp'},
                    {text: 'C++', value: 'cpp'},
                    {text: 'Go', value: 'go'},
                    {text: 'Nginx', value: 'nginx'},
                    {text: 'Docker', value: 'docker'},
                    {text: "Treeview", value: "treeview"},
                    {text: "Diff", value: "diff"},
                ],
            });
        });
    </script>
    @include('_prism')
@endpushonce
